Skip to content

Embedded Payments API (1.0)

The API allows a POS to accept Embedded Payments payments.

Overview
Languages
Servers
Production
https://api.tyro.com/connect

Merchants

Operations

Authorise a Sandbox Merchant Id

Request

For testing purposes only. Authorise or de-authorise your POS on behalf of the provided merchant for testing on the Sandbox environment only.

Security
JWT
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
Content-Typestringrequired
Value"application/json"
Bodyapplication/json
posReferencestringrequired

The posReference of the merchant, supplied during the integration process.

Example: "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149"
isAuthorisedbooleanrequired

To authorise or de-authorise the merchant Id.

Example: true
curl -i -X POST \
  'https://api.tyro.com/connect/tap-to-pay/merchants/{merchantId}/authorise/test' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "posReference": "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149",
    "isAuthorised": true
  }'

Responses

No body Content

Response
No content

Lists merchants

Request

This endpoint is used for retrieving a list of merchants that the POS has access to.

Security
JWT
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
curl -i -X GET \
  https://api.tyro.com/connect/tap-to-pay/merchants \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The list of Merchants associated with the POS.

Bodyapplication/json
resultsArray of objects(Merchant)
Response
application/json
{ "results": [ {}, {}, {} ] }

Fetch a merchant

Request

This endpoint is used for retrieving a merchant.

Security
JWT
Headers
Authorizationstringrequired
Default Bearer {$$.env.access_token}
curl -i -X GET \
  'https://api.tyro.com/connect/tap-to-pay/merchants/{merchantId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The details of the fetched Merchant

Bodyapplication/json
midstring

The ID of the merchant as specified by the Tyro Connect system

Example: "98765"
posReferencestring

The posReference of the merchant, supplied during the integration process.

Example: "SydneyShop"
isAuthorisedboolean

If the POS is authorised for this merchant.

Example: true
displayNamestring

The display name of the Merchant

Example: "Bobs Burger Shop"
Response
application/json
{ "mid": "98765", "posReference": "SydneyShop", "isAuthorised": true, "displayName": "Bobs Burger Shop" }

Locations

Operations

Connections

Operations

Readers

Operations

Transactions

Operations